#
# spec file for package python-certbot-nginx
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-certbot-nginx
Version:        0.30.2
Release:        lp151.1.1
Summary:        Nginx plugin for Certbot
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/letsencrypt/letsencrypt
Source:         https://files.pythonhosted.org/packages/source/c/certbot-nginx/certbot-nginx-%{version}.tar.gz
BuildRequires:  %{python_module certbot >= 0.22.0}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  nginx
BuildRequires:  python-rpm-macros
Requires:       nginx
Requires:       python-acme >= 0.26.0
Requires:       python-certbot >= 0.22.0
Requires:       python-pyOpenSSL
Requires:       python-pyparsing >= 1.5.5
Requires:       python-zope.interface
BuildArch:      noarch
%python_subpackages

%description
The Nginx plugin for Certbot.

%prep
%setup -q -n certbot-nginx-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Tue Jan 29 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to version 0.30.2:
  * lockstep update with the main package
* Fri Nov 16 2018 Marketa Calabkova <mcalabkova@suse.com>
- update to version 0.28.0
  * Stop preferring TLS-SNI.
  * Match Nginx parser update in allowing variable names to start
    with ${.
  * Fix ranking of vhosts in Nginx so that all port-matching
    vhosts come first.
* Fri Sep 14 2018 Marketa Calabkova <mcalabkova@suse.com>
- update to version 0.27.1
  * sync with main certbot package
* Mon Sep  3 2018 Marketa Calabkova <mcalabkova@suse.com>
- Launch tests and update runtime requirements
* Wed Aug 29 2018 mcalabkova@suse.com
- Split the module from the main certboot package
